<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0" xmlns:rolece="urn:dgpe:names:draft:rolece:schema:xsd:Resolution-1"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1"
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
	xmlns:xades="http://uri.etsi.org/01903/v1.3.2#">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<xsl:template match="*[contains(namespace-uri(.),'Resolution')]">
		<html>
			<body>

				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				 <table border="0" width="665px">
				 <xsl:if test="./cac:ItemProperty">
					<tr>
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>
								<xsl:value-of select="$lang.asientoRegistroNumero.titulo"/>:	<xsl:value-of select="./cac:ItemProperty/cbc:Value" />
								</b>
								
							</td>
							
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.asientoRegistroFecha.titulo"/>:   <xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartDate" />
								
								&#160;
								<xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartTime" />
							    </b>
							</td>
					</tr>
					</xsl:if>
				</table>
				
				<table border="0" width="665px">
					<tr>
						<td align="center">
							<xsl:choose>
							  <xsl:when test="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ''and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ' '">
									<img><xsl:attribute name="src">xsl/images/<xsl:value-of select="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID"/></xsl:attribute></img>
							  </xsl:when>
								<xsl:otherwise>
									<img src="xsl/images/logo-meh01.gif"/>
								</xsl:otherwise>
							</xsl:choose>						
						</td>
						<td width="75%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.archivoExpediente"/>
						</td>
					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<!-- <xsl:value-of select="$lang.cabecera.ROLECE.parte1"/> -->
								<br />
								<!-- <xsl:value-of select="$lang.cabecera.ROLECE.parte2"/> -->
							</center>
						</td>
						<td>
							<br />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<table border="0" width="665px">
					<tr>
						<td colspan="3" style="font:11px Verdana;" align="left" valign="top">
							<xsl:value-of select="$lang.cabecera.autoridad.inscripcion"/>:
						</td>
					</tr>
					<tr>
						<td colspan="3" style="font:11px Verdana;">
							<xsl:if test="./cac:CompetentInstitutionParty">
								<xsl:if test="./cac:CompetentInstitutionParty/cac:PartyLegalEntity">
									<b><xsl:value-of select="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:RegistrationName"/></b>
								</xsl:if>
							</xsl:if>
						</td>
					</tr>
					<tr><td><br/></td></tr>
					<tr>
						<td style="font:11px Verdana;" align="left" valign="top">
							   <xsl:value-of select="$lang.cabecera.operadorEconomico"/>: 
						</td>
					   	<td style="font:11px Verdana;">
					   		<!--Nombre del OE -->
					   		<xsl:choose>
					   		   <xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
					  		 	   <b><xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" /></b>
					  		   </xsl:when>     
					  		   <xsl:otherwise>
					  		   	  <xsl:if test="./cbc:EconomicOperatorName">
					  		   	  	 <xsl:value-of select="./cbc:EconomicOperatorName"/>
					  		   	  </xsl:if>
					  		   </xsl:otherwise>
					  		</xsl:choose>
					  		<!--NIF del OE -->					   	  
					 	  	<xsl:choose>	
					  		 	<xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
					  		 	  	<b> (<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" />)</b>
					  		 	</xsl:when>     
					  		 	<xsl:otherwise>
					 	       		<xsl:if test="./cbc:EconomicOperatorID">
					 	         		<b> (<xsl:value-of select="./cbc:EconomicOperatorID" />)</b>
					 	       		</xsl:if>
					 	     	</xsl:otherwise>
					 	  	</xsl:choose>
					   	</td>
					 	<!--    Domicilio social   -->
						<td style="font:11px Verdana;">
						 	<xsl:if test="./cac:EconomicOperatorParty">
							  <xsl:if test="./cac:EconomicOperatorParty/cac:Party">
							     <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
							       <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>&#160;
                   				 </xsl:if>
                			  </xsl:if>
							</xsl:if>
						</td>
					</tr> 				 
					<tr>
						 
							<td style="font:11px Verdana;" align="left" valign="top">
							   <xsl:value-of select="$lang.cabecera.numeroExpediente"/>: 
							</td>
							<td style="font:11px Verdana;">
								<b>
									 <xsl:if test="./cbc:FileID"><xsl:value-of select="./cbc:FileID" /></xsl:if>
								</b>
							</td>
							<td  style="font:11px Verdana;" >
							   <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
					      	<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CityName"/>&#160;
					      	(<xsl:variable name="provincia" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode"/>
					      	<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
					      		<xsl:variable name="item">
					      			<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
					      		</xsl:variable>
					      		<xsl:if test=" string($item)!='' ">
					      		<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
					      		</xsl:if>
					      		<xsl:if test=" string($item)='' ">
					      		<xsl:value-of select="$provincia"/>
					      		</xsl:if>
					      	</xsl:for-each>)&#160;
					      	
							</td>
					</tr>

					<tr>
						<td style="font:11px Verdana;" align="left" valign="top">
							<xsl:value-of select="$lang.cabecera.fecha"/>:
						</td>
						<td style="font:11px Verdana;">
							<xsl:value-of select="./cbc:IssueDate" />
						</td>
						<td style="font:11px Verdana;" >
						  <xsl:if test="./cac:EconomicOperatorParty">
					      <xsl:if test="./cac:EconomicOperatorParty/cac:Party">
					        <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
					          <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country">
							    	  <xsl:variable name="pais" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					      		  <xsl:for-each select="document('xml/NationalityID.xml')">
					      		    	<xsl:variable name="item">
					      		    		<xsl:value-of select="key('ABR',normalize-space($pais))"/>
					      		    	</xsl:variable>
					      		    	<xsl:if test=" string($item)!='' ">
					      		    	<xsl:value-of select="key('ABR',normalize-space($pais))"/>
					      		    	</xsl:if>
					      		    	<xsl:if test=" string($item)='' ">
					      		    	<xsl:value-of select="$pais"/>
					      		    	</xsl:if>
					      		  </xsl:for-each>  
					      		</xsl:if>
					      	</xsl:if>
					      </xsl:if>
					    </xsl:if>
						</td>
					</tr>

					<xsl:if test="./cbc:Note">
					<tr><td><br/></td></tr>
					<tr>
						<td style="font:11px Verdana;" colspan="3" align="left">
							<xsl:value-of select="$lang.cabecera.motivoArchivado"/>:
						</td>
					</tr>
					<tr>
						<td style="font:11px Verdana;" colspan="3">
							<xsl:value-of select="./cbc:Note" />
						</td>
					</tr>
					</xsl:if>
					
					<tr>
						<td colspan="3">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
	
<!-- ********************************************************************************************** -->
<!-- PIE DE RECURSO                                                                                 -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px">
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" >
						<i><span>
							<xsl:if test="./rolece:Actions">
						  	 <xsl:value-of select="./rolece:Actions" />
							</xsl:if>
							
											</span></i>
						
					</td>
				</tr>
				<!-- EL INSTRUCTOR 
				<xsl:if test="./cac:ProposingParty">
					<xsl:if test="./cac:ProposingParty/cac:PartyIdentification">
						<xsl:if test="./cac:ProposingParty/cac:PartyIdentification/cbc:ID">
							<tr>
							<td style="font:11px Verdana; text-align:left; height:20px;" >
								<b><i><span>
									<xsl:value-of select="./cac:ProposingParty/cac:Person/cbc:JobTitle"/>
								</span></i></b>
							</td>
							</tr>
							<tr>
							<td style="font:11px Verdana; text-align:left; height:20px;" >
								<span>
									<xsl:value-of select="./cac:ProposingParty/cac:Person/cbc:FamilyName"/>, <xsl:value-of select="./cac:ProposingParty/cac:Person/cbc:FirstName"/>
								</span>
							</td>
							</tr>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				-->
				<!-- EL QUE ADOPTA EL ACUERDO -->
				<xsl:if test="./cac:IssuingParty">
					<xsl:if test="./cac:IssuingParty/cac:Person">
						<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" >
							<b><i><span>
								<xsl:value-of select="./cac:IssuingParty/cac:Person/cbc:JobTitle"/> <xsl:value-of select="./cac:IssuingParty/cac:Person/cbc:NameSuffix"/>
							</span></i></b>
						</td>
						</tr>
					</xsl:if>			
					<xsl:if test="./ds:Signature/ds:KeyInfo/ds:KeyName">
						<tr>
							<td style="font:11px Verdana; text-align:left; height:20px;" >
								<span>
									<xsl:value-of select="./ds:Signature/ds:KeyInfo/ds:KeyName"/> 
								</span>
							</td>
						</tr>
					</xsl:if>
				</xsl:if>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>


<!-- ********************************************************************************************** -->
<!-- FIRMA                                                                           -->
<!-- ********************************************************************************************** -->
			<xsl:choose>
				<xsl:when test="./ds:Signature/ds:SignatureValue">
					<table border="0" width="665px" >
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
									<xsl:value-of select="$lang.firma.transcripcion"/> ds:Signature
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:SignedInfo/ds:Reference Id
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:SignedInfo/ds:Reference/@Id"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:SignedInfo/ds:Reference URI
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:SignedInfo/ds:Reference/@URI"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:SignedInfo/ds:Reference/ds:Transforms/ds:Transform/ds:Xpath
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:SignedInfo/ds:Reference/ds:Transforms/ds:Transform/ds:XPath"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:SignedInfo/ds:Reference/ds:DigestValue
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:SignedInfo/ds:Reference/ds:DigestValue"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:SignatureValue
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:call-template name="split">
										<xsl:with-param name="text" select="./ds:Signature/ds:SignatureValue"/>
										<xsl:with-param name="size" select="'100'"/>
									</xsl:call-template>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:KeyInfo/ds:KeyName
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:KeyInfo/ds:KeyName"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>									ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:CertDigest/ds:DigestValue
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:CertDigest/ds:DigestValue"/>
								</td>
							</tr>

							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:IssuerSerial/ds:X509IssuerName
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:IssuerSerial/ds:X509IssuerName"/>
								</td>
							</tr>
							<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
								<td>
									ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:IssuerSerial/ds:X509SerialNumber
								</td>
							</tr>
							<tr>
								<td  style="font:11px Courier New, Verdana; text-align:left; height:20px;">
									<xsl:value-of select="./ds:Signature/ds:Object/xades:QualifyingProperties/xades:SignedProperties/xades:SignedSignatureProperties/xades:SigningCertificate/xades:Cert/xades:IssuerSerial/ds:X509SerialNumber"/>
								</td>
							</tr>							
					</table>
				</xsl:when>
			</xsl:choose>
			
			</body>
		</html>
	</xsl:template>
<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > $size">
			<xsl:value-of select="substring($text, 1, $size)"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, $size + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$size > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>

		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
