<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1"
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#" version="1.0">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	<xsl:template
		match="*[contains(namespace-uri(.),'RegistrationApplication')] ">
		<html>
			<body>
				<!--
					**********************************************************************************************
				-->
				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				
				 <table border="0" width="665px">
				 <xsl:if test="./cac:ItemProperty">
					<tr>
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>
								<xsl:value-of select="$lang.asientoRegistroNumero.titulo"/>:	<xsl:value-of select="./cac:ItemProperty/cbc:Value" />
								</b>
								
							</td>
							
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.asientoRegistroFecha.titulo"/>:   <xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartDate" />
								
								&#160;
								<xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartTime" />
							    </b>
							</td>
					</tr>
					</xsl:if>
				</table>
				
				<table border="0" width="665px">
				
				
					<tr>
						<td align="center">
							<img src="xsl/images/logo-meh.gif"/>
						</td>
						<td width="75%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.documentacionRegistration.parte1"/>
							<br />
							<xsl:value-of select="$lang.cabecera.documentacionRegistration.parte2"/>
						</td>
					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<xsl:value-of select="$lang.cabecera.ROLECE.parte1"/>
								<br />
								<xsl:value-of select="$lang.cabecera.ROLECE.parte2"/>
							</center>
						</td>
						<td>
							<br />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<br />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<table border="0" width="660px">
					<xsl:if test="./cbc:EconomicOperatorName">
						<xsl:if test="./cbc:EconomicOperatorID">
							<tr>
								<td style="font:11px Verdana;" align="left">
									<xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
					</td>
								<td style="font:11px Verdana; width:75%;">
									<b>
										<xsl:value-of select="./cbc:EconomicOperatorName" />
									</b>
									(
									<b>
										<xsl:value-of select="./cbc:EconomicOperatorID" />
									</b>
									)
								</td>
							</tr>
						</xsl:if>
					</xsl:if>
					<xsl:if test="not(./cbc:EconomicOperatorName)">
						<xsl:if test="not(./cbc:EconomicOperatorID)">
							<tr>
								<td style="font:11px Verdana;" align="left">
									<xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
					</td>
								<td style="font:11px Verdana; width:75%;">
									<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName" />
											,
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName" />
										</b>
									</xsl:if>
									<xsl:if
										test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" />
										</b>
									</xsl:if>
									<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
										- (
										<xsl:value-of
											select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID" />
										:
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" />
										</b>
										)
									</xsl:if>
									<xsl:if
										test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
										<xsl:for-each
											select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
											<xsl:if test="position() = 1">
												- (
												<xsl:value-of select="./cbc:ID/@schemeID" />
												:
												<b>
													<xsl:value-of select="./cbc:ID" />
												</b>
												)
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</td>
							</tr>
						</xsl:if>
					</xsl:if>
					<xsl:if test="./cbc:FileID">
						<tr>
							<td style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.numeroExpediente"/>:
					</td>
							<td style="font:11px Verdana; width:75%;">
								<b>
									<xsl:value-of select="./cbc:FileID" />
								</b>
							</td>
						</tr>
					</xsl:if>
					<xsl:if test="./cbc:ApplicationID">
						<tr>
							<td style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.numeroSolicitud"/>:
					</td>
							<td style="font:11px Verdana; width:75%;">
								<xsl:value-of select="./cbc:ApplicationID" />
							</td>
						</tr>
					</xsl:if>
					<tr>
						<td style="font:11px Verdana;" align="left">
							<xsl:value-of select="$lang.cabecera.fechaPresentacion"/>:
					</td>
						<td style="font:11px Verdana; width:75%;">
							<xsl:value-of select="./cbc:IssueDate" />&#160;&#160;<xsl:value-of select="./cbc:IssueTime" />
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>

<!-- ********************************************************************************************** -->
<!-- JUSTIFICANTE DOCUMENTOS
	 ********************************************************************************************** -->
			<xsl:if test="./cac:DocumentReference">
				<table border="0" width="665px" >
					<tr>
						<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
							<xsl:value-of select="$lang.documentoAnexado.titulo"/>
						</td>
					</tr>
				<xsl:if test="./cac:DocumentReference/cac:Attachment">
					<xsl:for-each select="./cac:DocumentReference/cac:Attachment/cac:ExternalReference">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.nombre"/>:
							<xsl:value-of select="./cbc:DocumentHash"/>
						</td>
					</tr>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:DocumentType">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.tipo"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:DocumentType"/>
						</td>
						
					</tr>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:DocumentType">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.fechaEntrega"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:IssueDate"/>
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:ID">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.hash"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:ID"/>
						</td>				
					</tr>				
				</xsl:if>				
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
				</table>
			</xsl:if>		
<!-- ********************************************************************************************** -->
<!-- FIRMA                                                                                          -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./ds:Signature">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.firma.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" style="font:11px Verdana; text-align:left; height:20px;"><xsl:value-of select="$lang.firma.firmante"/>:</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyIdentification/cbc:ID"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" style="font:11px Verdana; text-align:left; height:20px;">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:Signature/cbc:Note"/>
					</td>
				</tr>
				<!--
				<tr><td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">Clave Pblica:</td></tr>
				<tr>
					<td colspan="3" style="font:11px Courier New, Verdana; text-align:left; height:20px;">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509Certificate"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				-->
				<tr><td colspan="3" style="font:11px Verdana; text-align:left; height:20px;"><xsl:value-of select="$lang.firma.firma"/>:</td></tr>
				<tr>
					<td colspan="3" style="font:11px Courier New, Verdana; text-align:left; height:20px;">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:SignatureValue"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- PIE                                                                                            -->
<!-- ********************************************************************************************** -->

		</body>
		</html>
	</xsl:template>

	<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > $size">
			<xsl:value-of select="substring($text, 1, $size)"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, $size + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$size > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>

		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
