<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1"
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#" version="1.0">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	<xsl:template
		match="*[contains(namespace-uri(.),'RegistrationApplicationCertificate')] ">
		<html>
			<body>
				<!--
					**********************************************************************************************
				-->
				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				<table border="0" width="665px">
					<tr>
						<td align="center">
							<img src="xsl/images/logo-meh.gif"/>
						</td>
						<td width="75%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.solicitudCertificado"/>
						</td>
					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<xsl:value-of select="$lang.cabecera.ROLECE.parte1"/>
								<br />
								<xsl:value-of select="$lang.cabecera.ROLECE.parte2"/>
							</center>
						</td>
						<td>
							<br />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<br />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
<!-- ********************************************************************************************** -->
<!-- CERTIFICADO SOLICITADO                                                                         -->
<!-- ********************************************************************************************** -->
				<xsl:if test="./cbc:Note">
					<table border="0" width="665px" >
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.certificadoSolicitado.titulo"/></span>
							</td>
						</tr>
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								<xsl:value-of select="./cbc:Note"/>
							</td>
						</tr>
					</table>
				</xsl:if>

<!-- ********************************************************************************************** -->
<!-- OPERACIN                                                                                -->
<!-- ********************************************************************************************** -->
				<xsl:if test="./cbc:Actions">
					<table border="0" width="665px" >
						<tr>
							<td colspan="3" style="font:11px Verdana; text-decoration:underline;">
								<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.operacion.titulo"/></span>
							</td>
						</tr>
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;"><xsl:value-of select="$lang.operacion.solicitud"/>: </td>
						</tr>
						<xsl:for-each select="./cbc:Actions">
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="."/>
									<br/>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:if>
<!-- ********************************************************************************************** -->
<!-- DECLARACION RESPONSABLE                                                                            -->
<!-- ********************************************************************************************** -->
				<xsl:if test="./cbc:Facts">
					<table border="0" width="665px" >
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.declaracionResponsable.titulo"/></span>
							</td>
						</tr>
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								<xsl:value-of select="./cbc:Facts"/>
							</td>
						</tr>
					</table>
				</xsl:if>
				<br/>
<!-- ********************************************************************************************** -->
<!-- FIRMA                                                                           -->
<!-- ********************************************************************************************** -->
				<table border="0" width="665px" >
					<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
						<td colspan="3">
							<xsl:value-of select="$lang.firma.firma"/>:
						</td>
					</tr>
					<tr>
						<td colspan="3" style="font:11px Courier New, Verdana; text-align:left; height:20px;">
							<xsl:call-template name="split">
								<xsl:with-param name="text" select="./ds:Signature/ds:SignatureValue"/>
								<xsl:with-param name="size" select="'72'"/>
							</xsl:call-template>
						</td>
					</tr>
				</table>
				<br/>
<!-- ********************************************************************************************** -->
<!-- FECHA                                                                           -->
<!-- ********************************************************************************************** -->
				<table border="0" width="665px" >
					<tr style="font:11px Verdana; font-style: italic; text-align:left; height:20px;">
						<td colspan="3">
							<xsl:value-of select="$lang.cabecera.fecha"/>: <xsl:value-of select="./cbc:IssueDate"/> / <xsl:value-of select="./cbc:IssueTime"/>
						</td>
					</tr>
				</table>
				<hr width="665px" align="left" style="height:1px; color:black;" />
			</body>
		</html>
	</xsl:template>

	<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > number($size)">
			<xsl:value-of select="substring($text, 1, number($size))"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, number($size) + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="number($size) > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
