<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1"
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#" version="1.0">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	<xsl:template
		match="*[contains(namespace-uri(.),'RegistrationApplication')] ">
		<html>
		<head>
		<style type="text/css">
			.datoSeccionIndent{font:11px Verdana;height:20px;text-indent:35px;}
			
		</style>
		</head>
		
			<body>
				<!--
					**********************************************************************************************
				-->
				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				
				
				 <table border="0" width="665px">
				 <xsl:if test="./cac:ItemProperty">
					<tr>
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>
								<xsl:value-of select="$lang.asientoRegistroNumero.titulo"/>:	<xsl:value-of select="./cac:ItemProperty/cbc:Value" />
								</b>
								
							</td>
							
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.asientoRegistroFecha.titulo"/>:   <xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartDate" />
								
								&#160;
								<xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartTime" />
							    </b>
							</td>
					</tr>
					</xsl:if>
				</table>
				
				<table border="0" width="665px">
				
			
					<tr>
						<td align="center">
							<xsl:choose>
								<xsl:when test="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ''and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ' '">
									<img><xsl:attribute name="src">xsl/images/<xsl:value-of select="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID"/></xsl:attribute></img>
								</xsl:when>
								
								
								<xsl:otherwise>
									<img src="xsl/images/logo-meh01.gif"/>
								</xsl:otherwise>
							</xsl:choose>						
						</td>
						<td width="75%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.registroSolicitud"/>
							
						</td>
					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<xsl:value-of select="$lang.cabecera.ROLECE.parte1"/>
								<br />
								<xsl:value-of select="$lang.cabecera.ROLECE.parte2"/>
							</center>
						</td>
						<td>
							<br />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<br />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<table border="0" width="660px">
					<xsl:if test="./cac:CompetentInstitutionParty/cac:PartyLegalEntity">
						<tr>
							<td colSpan="2" style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.autoridad.inscripcion"/>:
							</td>
						</tr>
						<tr>
							<td colSpan="2" style="font:11px Verdana; width:75%;">
								<b>
									<xsl:value-of select="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:RegistrationName" />
								</b>
							</td>
						</tr>
						<tr><td><br/></td></tr>
					</xsl:if>
					<xsl:if test="./cbc:EconomicOperatorName">
						<xsl:if test="./cbc:EconomicOperatorID">
							<tr>
								<td style="font:11px Verdana;" align="left">
									<xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
					</td>
								<td style="font:11px Verdana; width:75%;">
									<b>
										<xsl:value-of select="./cbc:EconomicOperatorName" />
									</b>
									(
									<b>
										<xsl:value-of select="./cbc:EconomicOperatorID" />
									</b>
									)
								</td>
							</tr>
						</xsl:if>
					</xsl:if>
					<xsl:if test="not(./cbc:EconomicOperatorName)">
						<xsl:if test="not(./cbc:EconomicOperatorID)">
							<tr>
								<td style="font:11px Verdana;" align="left">
									<xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
					</td>
								<td style="font:11px Verdana; width:75%;">
									<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName" />
											,
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName" />
										</b>
									</xsl:if>
									<xsl:if
										test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" />
										</b>
									</xsl:if>
									<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
										- (
										<xsl:value-of
											select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID" />
										:
										<b>
											<xsl:value-of
												select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" />
										</b>
										)
									</xsl:if>
									<xsl:if
										test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
										<xsl:for-each
											select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
											<br></br>
											<xsl:if test="position() = 1">
												 (
												<xsl:value-of select="./cbc:ID/@schemeID" />
												:
												<b>
													<xsl:value-of select="./cbc:ID" />
												</b>
												)
											</xsl:if>
										</xsl:for-each>
									</xsl:if>
								</td>
							</tr>
						</xsl:if>
					</xsl:if>
					<xsl:if test="./cbc:FileID">
						<tr>
							<td style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.numeroExpediente"/>:
					</td>
							<td style="font:11px Verdana; width:75%;">
								<b>
									<xsl:value-of select="./cbc:FileID" />
								</b>
							</td>
						</tr>
					</xsl:if>
					<xsl:if test="./cbc:ApplicationID">
						<tr>
							<td style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.numeroSolicitud"/>:
					</td>
							<td style="font:11px Verdana; width:75%;">
								<xsl:value-of select="./cbc:ApplicationID" />
							</td>
						</tr>
					</xsl:if>
					<tr>
						<td style="font:11px Verdana;" align="left">
							<xsl:value-of select="$lang.cabecera.fechaPresentacion"/>:
					</td>
						<td style="font:11px Verdana; width:75%;">
							<xsl:value-of select="./cbc:IssueDate" />&#160;&#160;
						   <xsl:if test="not(./cac:ItemProperty)">
							   <xsl:value-of select="./cbc:IssueTime" />
							</xsl:if>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
<!-- ********************************************************************************************** -->
<!-- DATOS DEL DOCUMENTO                                                                            -->
<!-- ********************************************************************************************** -->
			<xsl:variable name="EUROS">euros</xsl:variable>
<!-- ********************************************************************************************** -->
<!-- DATOS DEL SOLICITANTE                                                                          -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:SenderParty">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.datosSolicitante.titulo"/></span>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:SenderParty/cac:Person/cbc:FamilyName"/>,
						<xsl:value-of select="./cac:SenderParty/cac:Person/cbc:FirstName"/>
						(<xsl:value-of select="./cac:SenderParty/cac:PartyIdentification/cbc:ID/@schemeID"/>:
						<xsl:value-of select="./cac:SenderParty/cac:PartyIdentification/cbc:ID"/>)
					</td>
				</tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- DATOS DEL DIRECCION NOTIFICACION                                                               -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:NotificationParty">
			<table border="0" width="665px" >
				<xsl:if test="./cac:NotificationParty/cac:PostalAddress">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					<xsl:if test="./cac:NotificationParty/cac:PostalAddress/cbc:StreetName and ./cac:NotificationParty/cac:PostalAddress/cbc:PostalZone and ./cac:NotificationParty/cac:PostalAddress/cbc:CityName">
						<xsl:value-of select="./cac:NotificationParty/cac:PostalAddress/cbc:StreetName"/>&#160;-
						<xsl:value-of select="./cac:NotificationParty/cac:PostalAddress/cbc:PostalZone"/>&#160;-
						<xsl:value-of select="./cac:NotificationParty/cac:PostalAddress/cbc:CityName"/>&#160;
					</xsl:if>
						<xsl:if test="./cac:NotificationParty/cac:PostalAddress/cbc:CountrySubentityCode">
						(<xsl:variable name="provincia" select="./cac:NotificationParty/cac:PostalAddress/cbc:CountrySubentityCode"/>
							<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$provincia"/>
								</xsl:if>
							</xsl:for-each>)&#160;
						</xsl:if>
						<xsl:variable name="pais" select="./cac:NotificationParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$pais"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				</xsl:if>
				<xsl:if test="./cac:SenderParty/cac:Contact">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:if test="./cac:SenderParty/cac:Contact/cbc:Telefax">
							<xsl:value-of select="$lang.direccionNotificacion.fax"/>:&#160;<xsl:value-of select="./cac:SenderParty/cac:Contact/cbc:Telefax"/>&#160;&#160;&#160;&#160;&#160;&#160;
						</xsl:if>
						<xsl:if test="./cac:SenderParty/cac:Contact/cbc:ElectronicMail">
						  <xsl:if test="./cac:SenderParty/cac:Contact/cbc:ElectronicMail!=''">
							<xsl:value-of select="$lang.direccionNotificacion.email"/>:&#160;<xsl:value-of select="./cac:SenderParty/cac:Contact/cbc:ElectronicMail"/>
						  </xsl:if>
						</xsl:if>
					</td>
				</tr>
				</xsl:if>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- DATOS DEL EMPRESARIO O DE LA ENTIDAD                                                           -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty">
			<table border="0" width="665px">			
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					     	<span style="font-weight:bold; text-decoration:underline;">
							<xsl:value-of select="$lang.datosEntidad.tituloEmpresario"/>
							</span>
					</td>
				 </tr>   	
			</xsl:if>
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					     	<span style="font-weight:bold; text-decoration:underline;">
							<xsl:value-of select="$lang.datosEntidad.tituloEntidad"/>
							</span>
					</td>
				</tr>   	
			</xsl:if>
					<xsl:if test="./cac:EconomicOperatorParty/cac:Party">

				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.datosEntidad.nombreDenom"/>:
							<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName"/>
						</td>
					</tr>			
				</xsl:if>

				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.datosEntidad.nombreDenom"/>:
							<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
						</td>
					</tr>			
				</xsl:if>
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.datosEntidad.identificacion"/>:
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>: <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID"/>
					</td>
				</tr>
				</xsl:if>
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
				<xsl:for-each select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
					<tr>
						<td colspan="1" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:if test="position() = 1">
							<xsl:value-of select="$lang.datosEntidad.identificacion"/>:
							</xsl:if>
						</td>
						<td colspan="1" style="font:11px Verdana; text-align:right; height:20px;">
							<xsl:value-of select="./cbc:ID/@schemeID"/>:&#160;
						</td>
						<td colspan="1" style="font:11px Verdana; text-align:left; height:20px; width:90%;">
							<xsl:value-of select="./cbc:ID"/>
						</td>
					</tr>
				</xsl:for-each>
				</xsl:if>
				<tr>
					<xsl:if test="(./cac:EconomicOperatorParty/cbc:NationalityID)">
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.datosEntidad.nacionalidad"/>:
						<xsl:variable name="nacionalidad" select="./cac:EconomicOperatorParty/cbc:NationalityID"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$nacionalidad"/>
							</xsl:if>
						</xsl:for-each>
					</td>
					</xsl:if>
				</tr>
				<xsl:if test="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode">
				<xsl:variable name="formaJuridica" select="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode"/>
				<xsl:if test="not($formaJuridica = '')">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.datosEntidad.tipoEntidad"/>:
						<xsl:for-each select="document('xml/LegalEntityTypeCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$formaJuridica"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				</xsl:if>
				</xsl:if>
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.datosEntidad.tipoEntidad"/>:&#160;<xsl:value-of select="$lang.datosEntidad.personaFisica"/>
					</td>
				</tr>
				
				</xsl:if>		
			
			</xsl:if>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CONSTITUCIN EMPRESARIAL                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:BusinessSetup">
			<table border="0" width="665px" >
				<!-- ***Aunque estemos en elpetitum de BusinessSetup hay que mostrar informacion del EconomicOperatorParty ** -->
				<!-- ** en el caso de que no este ya informado** -->
				<xsl:if test="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode and not(./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity)">
				<xsl:variable name="formaJuridica" select="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode"/>
				<xsl:if test="not($formaJuridica = '')">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.tipo"/>:
						<xsl:for-each select="document('xml/LegalEntityTypeCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$formaJuridica"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				</xsl:if>
				</xsl:if>
				<xsl:if test="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID and ./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID!=00">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.titulo"/>:
						<xsl:if test="string(./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode)='FJ1'">
							<xsl:value-of select="$lang.constitucionEmpresarial.registro"/>&#160;
						</xsl:if>								
						<xsl:variable name="registro" select="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID"/>
						<xsl:for-each select="document('xml/OfficialSetupRegistrationEntry.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($registro))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($registro))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$registro"/>
							</xsl:if>
						</xsl:for-each>&#160;&#160;
					</td>
				</tr>
				</xsl:if>
				<xsl:if test="./cac:BusinessSetup/cbc:Date">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;<xsl:value-of select="./cac:BusinessSetup/cbc:Date"/>
					</td>
				</tr>
				</xsl:if>
				
				</table>
			</xsl:if>
            <!-- ************************* -->
            <!-- CAPITAL SOCIAL-->
            <!-- ************************* -->
			<xsl:if test="./cbc:CorporateStockAmount">
			<table border="0" width="665px" >
			<tr>				
			<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
			
			
			
			<xsl:value-of select="$lang.capitalsocial.titulo"/>:<xsl:value-of select="format-number(./cbc:CorporateStockAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;									
								<xsl:choose>
										<xsl:when test="./cbc:CorporateStockAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cbc:CorporateStockAmount/@currencyID" />
										</xsl:otherwise>
								</xsl:choose>
			</td>
			</tr>
			</table>
			<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</xsl:if>	
			 <!-- ************************* -->
            <!-- FIN CAPITAL SOCIAL-->
            <!-- ************************* -->
			
			
				
			
			
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party and not(./cac:BusinessSetup)">
			<table border="0" width="665px" >
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- DOMICILIO SOCIAL                                                                               -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.domicilioSocial.titulo"/></span>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>&#160;-
					</xsl:if>
					<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;-
					</xsl:if>
					<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone">	
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
					</xsl:if>
						(<xsl:variable name="provincia" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode"/>
						<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$provincia"/>
							</xsl:if>
						</xsl:for-each>)&#160;
						<xsl:variable name="pais" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$pais"/>
							</xsl:if>
						</xsl:for-each>
						<hr width="665px" align="left" style="height:1px; color:black;" />
					</td>
				</tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- REPRESENTANTES                                                                                 -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorUserRequestAgent">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-decoration:underline;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.representantes.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:EconomicOperatorUserRequestAgent">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="./cac:Party/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:Party/cac:Person/cbc:FirstName"/>
							(<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID"/>)
						</td>
					</tr>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>



<!-- ********************************************************************************************** -->
<!-- ORGANO DE ADMINISTRACIN                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AdministratingRequestLegalAgent/cac:LegalAgent">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.administracion.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:AdministratingRequestLegalAgent">
				    <xsl:choose>
						<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.administracion.solicitudBaja"/>:</td>
					  	</tr>
					  </xsl:when>
					  <xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.administracion.solicitudInscripcion"/>:</td>
						  </tr>
					  </xsl:otherwise>
				    </xsl:choose>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.administrador"/>:
							
					<xsl:if test="not(./cac:LegalAgent/cac:Party/cac:PartyLegalEntity)">
							<xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName"/>,
						   </xsl:if>
						   <xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName"/>
						   </xsl:if>
					</xsl:if>   
				  
					<xsl:if test="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
							</xsl:if>
							(<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID"/>)
						</td>
					</tr>
					
					
					<xsl:if test="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity">	 	
                      <xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName">
					  <tr>
						  <td colspan="2" style="font:11px Verdana;  padding-left:75px; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.administradores.representantes"/>:</td>
							 
					  </tr>
					  </xsl:if>
					  
					  
					  <xsl:for-each select="./cac:LegalAgent/cac:Party/cac:Person">
					  <tr>
						
						    <td colspan="2" style="font:11px Verdana; padding-left:75px; height:10px;" width="97%">&#62;
						
						
						<xsl:if test="./cbc:FamilyName">
						
								<xsl:value-of select="./cbc:FamilyName"/>,
						 </xsl:if>
						   <xsl:if test="./cbc:FirstName">
								<xsl:value-of select="./cbc:FirstName"/>
						   
						   (<xsl:value-of select="./cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cbc:ID"/>)
						   </xsl:if>
						</td>
					</tr>	   
					 </xsl:for-each>	   
						   
					</xsl:if> 
					
					
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.numeroProtocolo"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.fechaEmision"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>
					
					
					
					
					
					
					
					
					
					
					<xsl:if test="substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.poderRepresentacion"/>:
								<xsl:variable name="extensionAdmin" select="substring-after(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$extensionAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="not(substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#'))">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limiteCuantitativo"/>:
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount = ''">&#160;<xsl:value-of select="$lang.administracion.ilimitado"/></xsl:if>
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount != ''">
							<xsl:value-of select="format-number(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<!-- xsl:if test="not(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount)">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							Lmite Cuantitativo:&#160;ILIMITADO
						</td>
					</tr>
					</xsl:if-->
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.administracion.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.validez"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.validez"/>:&#160;<xsl:value-of select="$lang.administracion.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.notario"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>
					
					
					
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
					
					
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]">
						<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
					
					
					
			 <!--BASTANTEOS ADMINISTRADOR-->
			<!--		
			<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
					<xsl:for-each select="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
				
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.organo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
						
				</xsl:for-each>
			 </xsl:if>	--> 
                <!--FIN BASTANTEOS ADMINISTRADOR-->		
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>



<!-- ********************************************************************************************** -->
<!-- APODERADOS                                                                                     -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorRequestLegalAgent">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.apoderado.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:EconomicOperatorRequestLegalAgent">
					<xsl:choose>
						<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.apoderado.solicitudBaja"/>:</td>
					  	</tr>
					  </xsl:when>
					  <xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.apoderado.solicitudInscripcion"/>:</td>
						  </tr>
					  </xsl:otherwise>
				  </xsl:choose>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.apoderado"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName"/>
							(<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID"/>)
						</td>
					</tr>
				
				<!-- INICIO PODERES -->
				<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney">
					<xsl:for-each select="./cac:LegalAgent/cac:PowerofAttorney"> 
					<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>	
<!-- 					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%">
						<xsl:value-of select="$lang.poder"/>
						</td>
					</tr> -->
					
				   
					<xsl:if test="./cbc:ID">

					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.numeroProtocolo"/>:
							<xsl:value-of select="./cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:IssueDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.fechaEmision"/>:
							<xsl:value-of select="./cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:ExtensionTypeCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.extensionPoderes"/>:
							<xsl:variable name="extensionAdmin" select="./cbc:ExtensionTypeCode"/>
							<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$extensionAdmin"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:MaximumAmount">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limiteCuantitativo"/>:
							<xsl:if test="./cbc:MaximumAmount = ''">&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/></xsl:if>
							<xsl:if test="./cbc:MaximumAmount != ''">
							<xsl:value-of select="format-number(./cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<!-- Si no viene informado no lo muestro -->
					<!-- xsl:if test="not(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount)">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							Lmite Cuantitativo:&#160;ILIMITADO
						</td>
					</tr>
					</xsl:if-->
					<xsl:if test="./cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ValidityPeriod != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:
							<xsl:value-of select="./cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ValidityPeriod = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:&#160;<xsl:value-of select="$lang.apoderado.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.notario"/>:
							<xsl:value-of select="./cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>
						

		       
		       
		       <xsl:if test="./cbc:LiteralContent[1]">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
					
				<xsl:if test="./cbc:LiteralContent[2]">
						
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>				
					
					
									 <!--BASTANTEOS APODERADO-->
	<!--	
			<xsl:if test="./cac:SufficiencyOfPower">
					<xsl:for-each select="./cac:SufficiencyOfPower">
				
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.organo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
						
				</xsl:for-each>
			 </xsl:if>	
	-->		
                <!--FIN BASTANTEOS APODERADO-->	
<!-- 				<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>	 -->
				</xsl:for-each>
				</xsl:if>
					<!-- FIN PODERES -->	
					
					
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>			
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CLASIFICACIONES                                                                                -->
<!-- ********************************************************************************************** -->
		<xsl:if test="(./cac:RequestCertifiedBusinessQualification)">	
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.clasificaciones.titulo"/></span>
					</td>
				</tr>
			</table>
		<xsl:for-each select="./cac:RequestCertifiedBusinessQualification">	
		   
			<xsl:if test="(./cac:CertifiedBusinessQualification)">
			<table border="0" width="665px" >
			     <xsl:choose>
						<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.clasificaciones.solicitudBaja"/>:</td>
					  	</tr>
					  </xsl:when>
					  <xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.clasificaciones.solicitudInscripcion"/>:</td>
						  </tr>
					  </xsl:otherwise>
				  </xsl:choose>
				<xsl:for-each select="./cac:CertifiedBusinessQualification">
				<tr>
					<td width="30%" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;">
						&#62;<xsl:value-of select="$lang.clasificaciones.entidad"/>:
					</td>
					<td width="50%" colspan="2"  style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:variable name="entidadClasificadora" select="./cac:QualifyingParty/cac:PartyIdentification/cbc:ID"/>
						<xsl:for-each select="document('xml/PartyIdentificationTypeCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$entidadClasificadora"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<xsl:for-each select="./cac:BusinessQualificationItem">
					<tr>
					<xsl:if test="./cbc:TaxonomyLevelCode">
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="nivelClasificacion" select="./cbc:TaxonomyLevelCode"/>
							<xsl:for-each select="document('xml/TaxonomyLevelCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$nivelClasificacion"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</xsl:if>
					<xsl:if test="./cbc:ActivityCode">
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cbc:ActivityCode"/>
						</td>
					</xsl:if>
					</tr>
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaAlta"/>:&#160;
						</td>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:StartDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaVencimiento"/>:&#160;
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="categoria" select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode"/>
							<xsl:for-each select="document('xml/PropertyCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$categoria"/>
								</xsl:if>
							</xsl:for-each>
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:for-each select="./cac:BusinessQualificationItem">
						<tr>
					<xsl:if test="./cbc:TaxonomyLevelCode">
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="nivelClasificacion" select="./cbc:TaxonomyLevelCode"/>
							<xsl:for-each select="document('xml/TaxonomyLevelCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$nivelClasificacion"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</xsl:if>
					<xsl:if test="./cbc:ActivityCode">
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cbc:ActivityCode"/>
						</td>
					</xsl:if>
					</tr>
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaAlta"/>:&#160;
						</td>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:StartDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaVencimiento"/>:&#160;
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="categoria" select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode"/>
							<xsl:for-each select="document('xml/PropertyCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$categoria"/>
								</xsl:if>
							</xsl:for-each>
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
						</td>
					</tr>
					</xsl:if>
				</xsl:for-each>
				</xsl:for-each>
				</xsl:for-each>
			</table>
			
			</xsl:if>
		</xsl:for-each>
		<table border="0" width="665px" >
				<tr><td colspan="4"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
		</table>
		</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CUENTAS                                                                                        -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AnnualAccountsReference">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.cuentas.titulo"/></span>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.cuentasanuales.fechacierre"/>:
                        <xsl:value-of  select="substring(./cac:AnnualAccountsReference/cbc:AcceptanceAccountsDate/.,1,10)"/>
                        (<xsl:choose>
							<xsl:when test="./cac:AnnualAccountsReference/cac:ExternalDeclarationAttachment/cac:ExternalReference/cbc:DocumentHash">
								<xsl:value-of select="./cac:AnnualAccountsReference/cac:ExternalDeclarationAttachment/cac:ExternalReference/cbc:DocumentHash"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$lang.cuentas.fichero.separado"/>
							</xsl:otherwise>
						</xsl:choose>)
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CIFRAS DE NEGOCIO                                                                              -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:FinancialTurnoverCapability">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.cifras.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:FinancialTurnoverCapability">
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
						<xsl:if test="./cbc:YearDate">
							<td colspan="2" style="font:11px Verdana; text-align:left;" width="80px">
								<xsl:value-of select="substring(./cbc:YearDate,1,4)"/>:
							</td>
						</xsl:if>						
						<xsl:if test="./cac:Period/cbc:StartDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:Period/cbc:EndDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td style="font:11px Verdana; text-align:right;" width="120px">
							<xsl:choose>
								<xsl:when test="./cbc:ValueQuantity" >
									<xsl:value-of select="format-number(./cbc:ValueQuantity, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:value-of select="$EUROS"/>
								</xsl:when>
								<xsl:when test="./cbc:ValueAmount">
									<xsl:value-of select="format-number(./cbc:ValueAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:choose>
										<xsl:when test="./cbc:ValueAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cbc:ValueAmount/@currencyID" />
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
							</xsl:choose>
							
							<!--<xsl:value-of select="number(./cbc:ValueQuantity/@unitCode)"/>-->
						</td>
					</tr>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- POLIZAS DE RESPONSABILIDAD ASEGURADA                                                           -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:RequestInsuredAccountability">
			<table border="0" width="665px" >
			
							
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.polizas.titulo"/></span>
						</td>
					</tr>
					<xsl:for-each select="./cac:RequestInsuredAccountability">
						 <xsl:choose>
						<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.polizas.solicitudBaja"/>:</td>
					  	</tr>
					  </xsl:when>
					  <xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.polizas.solicitudInscripcion"/>:</td>
						  </tr>
					  </xsl:otherwise>
				  </xsl:choose>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.identificador"/>:
									<xsl:value-of select="./cac:InsuredAccountability/cbc:ID"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.importe"/>:
									<xsl:value-of select="format-number(./cac:InsuredAccountability/cbc:InsuredAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cbc:InsuredAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cac:InsuredAccountability/cbc:InsuredAmount/@currencyID" />
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.fechaInicio"/>:
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cac:Period">
											<xsl:value-of select="./cac:InsuredAccountability/cac:Period/cbc:StartDate"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cac:InsuredAccountability/cbc:StartingDate"/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cac:Period">
											<xsl:value-of select="$lang.polizas.fechaVencimiento"/>:
											<xsl:value-of select="./cac:InsuredAccountability/cac:Period/cbc:EndDate"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$lang.polizas.duracion"/>:
											<xsl:value-of select="./cac:InsuredAccountability/cbc:DurationMeasure"/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
	         
	         
	          
				<tr>
				   <td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
				   <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					<xsl:value-of select="$lang.polizas.asegurador"/>:
					<xsl:value-of select="./cac:InsuredAccountability/cac:InsuranceCompanyParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
					</td>
				</tr>

				
			      <xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[1]">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:InsuredAccountability/cbc:CoveredRisk[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
					
				<xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[2]">
				  <xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[2]!=''">
						<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:InsuredAccountability/cbc:CoveredRisk[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>	
			</xsl:if>	
				
					</xsl:for-each>
					<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- HABILITACIONES                                                                                 -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:ProfessionalRequestAuthorization">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.habilitaciones.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:ProfessionalRequestAuthorization">
					<xsl:choose>
						<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.habilitaciones.solicitudBaja"/>:</td>
					  	</tr>
					  </xsl:when>
					  <xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.habilitaciones.solicitudInscripcion"/>:</td>
						  </tr>
					  </xsl:otherwise>
				  </xsl:choose>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:Description">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.denominacion"/>:
							<!-- <xsl:value-of select="./cac:ProfessionalAuthorization/cbc:Description"/> -->
							<br/>
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cac:ProfessionalAuthorization/cbc:Description"/>
							</xsl:call-template>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:Specialties">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.especialidades"/>:
							<!-- <xsl:value-of select="./cac:ProfessionalAuthorization/cbc:Specialties"/> -->
							<br/>
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cac:ProfessionalAuthorization/cbc:Specialties"/>
							</xsl:call-template>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.otorgada"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:GrantingDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaOtorgamiento"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cbc:GrantingDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:ExpirationDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaVencimiento"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cbc:ExpirationDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:RegulatorySource">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.norma"/>:
							<xsl:variable name="tipoDisposicion" select="substring-before(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#')"/>
							<xsl:for-each select="document('xml/RegulatorySource.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$tipoDisposicion"/>
								</xsl:if>
							</xsl:for-each>			
							&#160;<xsl:value-of select="substring-before(substring-after(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#'),'#')"/>
							&#160;<xsl:value-of select="substring-after(substring-after(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#'),'#')"/>
						</td>
					</tr>
					</xsl:if>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- OBJETO SOCIAL                                                                                  -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cbc:EconomicOperatorCorporatePurpose">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.objetoSocial.titulo"/>
					</td>
				</tr>
			    <xsl:if test="./cbc:EconomicOperatorCorporatePurposeDate">
				  <tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;<xsl:value-of select="./cbc:EconomicOperatorCorporatePurposeDate"/>
					</td>
				  </tr>
				</xsl:if>
			 
	
			<tr>
			<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
			<xsl:value-of select="$lang.contenido.idioma"/>	:
			 <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='ES'">
			 <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			  </xsl:if>
			  <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='CA'">
			     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			  </xsl:if>
			   <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='GL'">
			     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			   </xsl:if>
			  
			  
			</td>
			</tr>
			
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
						    <xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[1]"/>
						
						</xsl:call-template>
					</td>
				</tr>
<!-- 				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; border-style:dashed;border-top-style:none;border-color:grey" /></td></tr> -->
				
				<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
				<xsl:if test="./cbc:EconomicOperatorCorporatePurpose[2]">
				
				<tr>
			     <td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
			     <xsl:value-of select="$lang.contenido.idioma"/>	:
			     
			      
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='ES'">
			       <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='CA'">
			       <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='GL'">
			       <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			      </xsl:if>
			     </td>
			    </tr>
				
				
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
							<xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[2]"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
				</xsl:if>
			
				
			</table>
			</xsl:if>
			


<!-- ********************************************************************************************** -->
<!-- PERIODO MEDIO DE PAGO  -->              
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AveragePeriodPaymentSuppliers">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.periodomedio.titulo"/></span>
					</td>
				</tr>
				
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
											
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td style="font:11px Verdana; text-align:right;" width="120px">
							
							<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure">
									<xsl:value-of select="format-number(./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure, '###.###,00;(###.###,00)', 'european')"/>&#160;
									(<xsl:value-of select="$lang.periodomedio.dias"/>)
								</xsl:if>
								
						</td>
					</tr>
				
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>		
	
<!-- ********************************************************************************************** -->
<!-- PGINA WEB CORPORATIVA                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.paginaWeb.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>

<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES TRIBUTARIAS                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:RequestTaxAgencyObligations">
			<table border="0" width="665px" >
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.obligacionesTributarias.titulo"/></span>
						</td>
					</tr>
					<xsl:for-each select="./cac:RequestTaxAgencyObligations">
						<xsl:choose>
							<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						 	 <tr>						
							    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.obligacionesTributarias.solicitudBaja"/>:</td>
					  		 </tr>
						</xsl:when>
						<xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.obligacionesTributarias.solicitudInscripcion"/>:</td>
						  </tr>
					    </xsl:otherwise>
				  		</xsl:choose>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.numeroReferencia"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:ReferenceID"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.autoridad"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
								</td>
							</tr>
							<xsl:if test="./cac:TaxAgencyObligations/cbc:TaxEvidenceIndicator">
								<tr>
									<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
									<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
										<xsl:value-of select="$lang.obligacionesTributarias.caracter"/>:
										<xsl:choose>
											<xsl:when test="./cac:TaxAgencyObligations/cbc:TaxEvidenceIndicator[text() = 'true']">
												<xsl:value-of select="$lang.obligacionesTributarias.positivo"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$lang.obligacionesTributarias.negativo"/>
											</xsl:otherwise>	
										</xsl:choose>
									</td>
								</tr>
							</xsl:if>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.fechaExpedicion"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:IssueDate"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.fechaVencimiento"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:ExpirationDate"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.csv"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:CodeValue"/>
								</td>
							</tr>
					
					</xsl:for-each>
					<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			
			</table>
			</xsl:if>	
			
<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES SEGURIDAD SOCIAL                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:SocialSecurityObligations">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.titulo"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.numeroReferencia"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ReferenceID"/>
					</td>
				</tr>
				<!-- <tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.autoridad"/>:
						<xsl:value-of select="./cac:TaxAgencyObligations/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
					</td>
				</tr> -->
				<xsl:if test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.obligacionesSeguridadSocial.estadoCorriente"/>:
							<xsl:choose>
								<xsl:when test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator[text() = 'true']">
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.positivo"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.negativo"/>
								</xsl:otherwise>	
							</xsl:choose>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaExpedicion"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:IssueDate"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaVencimiento"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ExpirationDate"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.huella"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:CodeValue"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>		

<!-- ********************************************************************************************** -->
<!-- JUSTIFICANTE DOCUMENTOS
	 ********************************************************************************************** -->
			<xsl:if test="./cac:DocumentReference">
				<table border="0" width="665px" >
					<tr>
						<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
							<xsl:value-of select="$lang.documentoAnexado.titulo"/>
						</td>
					</tr>
				<xsl:if test="./cac:DocumentReference/cac:Attachment">
					<xsl:for-each select="./cac:DocumentReference/cac:Attachment/cac:ExternalReference">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.nombre"/>:
							<xsl:value-of select="./cbc:DocumentHash"/>
						</td>
					</tr>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:DocumentType">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.tipo"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:DocumentType"/>
						</td>
						
					</tr>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:DocumentType">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.fechaEntrega"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:IssueDate"/>
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="./cac:DocumentReference/cbc:ID">
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.documentoAnexado.hash"/>:
							<xsl:value-of select="./cac:DocumentReference/cbc:ID"/>
						</td>				
					</tr>				
				</xsl:if>				
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
				</table>
			</xsl:if>	
			
			
			
					
		
<!-- ********************************************************************************************** -->
<!-- DOCUMENTOS ACREDITATIVOS                                                                       -->
<!-- ********************************************************************************************** -->				
			
			<xsl:if test="./cac:Evidence">

				<table>
					
					<tr>
						
						<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">

							<xsl:value-of select="$lang.documentosacreditativos.titulo"/>
						</td>
					</tr>
						
			
					

					<xsl:for-each select="./cac:Evidence">

					<tr>
						
							<td class="datoSeccionIndent">
								
								> <xsl:value-of select="$lang.documentosacreditativos.nombredeldocumento"/>
								: <xsl:value-of select="./cbc:EvidenceName"/>

							</td>

					</tr>

					<tr>

							<td class="datoSeccionIndent">
								
								&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.documentosacreditativos.emisor"/>
								: <xsl:value-of select="./cac:EvidenceIssuerParty/cac:PartyLegalEntity/cbc:RegistrationName"/>

							</td>

					</tr>

					<tr>

							<td class="datoSeccionIndent">
								
								&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
									<xsl:value-of select="$lang.documentosacreditativos.referencias"/>:&#160;
								
								<xsl:for-each select="./cac:EvidenceDocumentReference/cbc:XPath">

									<xsl:value-of select="."/><br/>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
										
								</xsl:for-each>

								<br/><br/>

							</td>

					</tr>

					</xsl:for-each>

					

				</table>

				<hr/>

			</xsl:if>		
			
			
			
			
			
			
				
<!-- ********************************************************************************************** -->
<!-- FIRMA                                                                                          -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./ds:Signature">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.firma.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" style="font:11px Verdana; text-align:left; height:20px;"><xsl:value-of select="$lang.firma.firmante"/>:</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyIdentification/cbc:ID"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" style="font:11px Verdana; text-align:left; height:20px;">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:Signature/cbc:Note"/>
					</td>
				</tr>
				<!--
				<tr><td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">Clave Pblica:</td></tr>
				<tr>
					<td colspan="3" style="font:11px Courier New, Verdana; text-align:left; height:20px;">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509Certificate"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				-->
				<tr><td colspan="3" style="font:11px Verdana; text-align:left; height:20px;"><xsl:value-of select="$lang.firma.firma"/>:</td></tr>
				<tr>
					<td colspan="3" style="font:11px Courier New, Verdana; text-align:left; height:20px;">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:SignatureValue"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- PIE                                                                                            -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px" >
				<tr><td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					<b><xsl:value-of select="$lang.pie.registroSolicitud.texto1"/></b>
					<br/><b><xsl:value-of select="$lang.pie.registroSolicitudSimplificada.texto1"/></b>
					<br/><b><xsl:value-of select="$lang.pie.registroSolicitudSimplificada.texto2"/></b>
					
					<!--
					<xsl:value-of select="$lang.pie.registroSolicitud.texto2"/>:<br/>
					<i>
						- <xsl:value-of select="$lang.pie.registroSolicitud.texto3"/><br/>
						- <xsl:value-of select="$lang.pie.registroSolicitud.texto4"/><br/>
						- <xsl:value-of select="$lang.pie.registroSolicitud.texto5"/><br/>
					</i>
					-->
				</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > $size">
			<xsl:value-of select="substring($text, 1, $size)"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, $size + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$size > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>
	
		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
