<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0" xmlns:rolece="urn:dgpe:names:draft:rolece:schema:xsd:Resolution-1"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	<xsl:template match="*[contains(namespace-uri(.),'Resolution')]">
		<html>
			<body>

				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				<table border="0" width="665px">
					<tr>
						<td align="center">
							<xsl:choose>
								<xsl:when test="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ''and 
								./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ' '">
									<img><xsl:attribute name="src">xsl/images/<xsl:value-of select="./cac:CompetentInstitutionParty/cac:PartyLegalEntity/cbc:LogoReferenceID"/></xsl:attribute></img>
								</xsl:when>
								
								
								<xsl:otherwise>
									<img src="xsl/images/logo-meh01.gif"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td rowspan="3" colspan="2" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.acuerdoInscripcionOficio"/>
					</td>

					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<xsl:value-of select="$lang.cabecera.ROLECE.parte1"/>
								<br />
								<xsl:value-of select="$lang.cabecera.ROLECE.parte2"/>
							</center>
						</td>
						<td>
							<br />
						</td>
						<td>
						</td>
					</tr>

					<tr>
						<td colspan="3">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<table border="0" width="665px">
					<tr>
						<td width="22%"></td>
						<td width="38%"></td>
						<td width="40%"></td>
					</tr>
					<tr>
						<td style="font:11px Verdana;" align="left" valign="top">
							   <xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
						</td>
					   	<td style="font:11px Verdana;">
					   		<!--Nombre del OE -->
					   		<xsl:choose>
					   		   <xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
					  		 	   <b><xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" /></b>
					  		   </xsl:when>     
					  		   <xsl:otherwise>
					  		   	  <xsl:if test="./cbc:EconomicOperatorName">
					  		   	  	 <xsl:value-of select="./cbc:EconomicOperatorName"/>
					  		   	  </xsl:if>
					  		   </xsl:otherwise>
					  		</xsl:choose>
					  		<!--NIF del OE -->					   	  
					 	  	<xsl:choose>	
					  		 	<xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
					  		 	  	<b> (<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" />)</b>
					  		 	</xsl:when>     
					  		 	<xsl:otherwise>
					 	       		<xsl:if test="./cbc:EconomicOperatorID">
					 	         		<b> (<xsl:value-of select="./cbc:EconomicOperatorID" />)</b>
					 	       		</xsl:if>
					 	     	</xsl:otherwise>
					 	  	</xsl:choose>
					   	</td>
					 	<!--    Domicilio social   -->
						<td style="font:11px Verdana;">
						 	<xsl:if test="./cac:EconomicOperatorParty">
							  <xsl:if test="./cac:EconomicOperatorParty/cac:Party">
							     <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
							       <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>&#160;
                   				 </xsl:if>
                			  </xsl:if>
							</xsl:if>
						</td>
					</tr> 				 
					<tr>
						 
							<td style="font:11px Verdana;" align="left" valign="top">
							   <xsl:value-of select="$lang.cabecera.numeroExpediente"/>:
							</td>
							<td style="font:11px Verdana;">
								<b>
									 <xsl:if test="./cbc:FileID"><xsl:value-of select="./cbc:FileID" /></xsl:if>
								</b>
							</td>
							<td  style="font:11px Verdana;" >
							   <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;
					      	<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CityName"/>&#160;
					      	
					     <xsl:if test="./cac:EconomicOperatorParty">
					       <xsl:if test="./cac:EconomicOperatorParty/cac:Party">
					        <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
					          <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode">	
					      	
					      	(<xsl:variable name="prov" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode"/>
					      	<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
					      		<xsl:variable name="item">
					      			<xsl:value-of select="key('ABR',normalize-space($prov))"/>
					      		</xsl:variable>
					      		<xsl:if test=" string($item)!='' ">
					      		<xsl:value-of select="key('ABR',normalize-space($prov))"/>
					      		</xsl:if>
					      		<xsl:if test=" string($item)='' ">
					      		<xsl:value-of select="$prov"/>
					      		</xsl:if>
					      	</xsl:for-each>)&#160;
					      	</xsl:if>
					      	</xsl:if>
					      </xsl:if>
					    </xsl:if>
							</td>
					</tr>

					<tr>
						<td style="font:11px Verdana;" align="left" valign="top">
							<xsl:value-of select="$lang.cabecera.fecha"/>:
						</td>
						<td style="font:11px Verdana;">
							<xsl:value-of select="./cbc:IssueDate" />
						</td>
						<td style="font:11px Verdana;" >
						  <xsl:if test="./cac:EconomicOperatorParty">
					      <xsl:if test="./cac:EconomicOperatorParty/cac:Party">
					        <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
					          <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country">
							    	  <xsl:variable name="pais" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
					      		  <xsl:for-each select="document('xml/NationalityID.xml')">
					      		    	<xsl:variable name="item">
					      		    		<xsl:value-of select="key('ABR',normalize-space($pais))"/>
					      		    	</xsl:variable>
					      		    	<xsl:if test=" string($item)!='' ">
					      		    	<xsl:value-of select="key('ABR',normalize-space($pais))"/>
					      		    	</xsl:if>
					      		    	<xsl:if test=" string($item)='' ">
					      		    	<xsl:value-of select="$pais"/>
					      		    	</xsl:if>
					      		  </xsl:for-each>  
					      		</xsl:if>
					      	</xsl:if>
					      </xsl:if>
					    </xsl:if>
						</td>
					</tr>
					
					<tr>
						<td colspan="3">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<!--
					**********************************************************************************************
				-->
				<!--
					DATOS DEL DOCUMENTO
				-->
				<!--
					**********************************************************************************************
				-->
				
				<xsl:variable name="EUROS">euros</xsl:variable>
				
				<table border="0" width="665px">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<i>
								<span>
									  <xsl:choose>
									  	<xsl:when test="./rolece:Facts">
									       <xsl:value-of select="./rolece:Facts" />
									    </xsl:when>
									   
									   </xsl:choose>
								</span>
							</i>
						</td>
					</tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" colspan="3">
							<i>
								<span>
									<xsl:for-each select="./cac:Regulation">
										<xsl:value-of select="cbc:Name"/><br/>
						  	 	        <xsl:value-of select="cbc:LegalReference"/><br/>
						  	 	        <xsl:value-of select="cbc:UriOntologia"/><br/>
						  	 	        <br/>
						  	 	    </xsl:for-each>
								</span>
							</i>
						</td>
					</tr>
					<tr>
						<td colspan="3">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				
				
<!--
	**********************************************************************************************
-->
<!--
	DATOS DEL EMPRESARIO O DE LA ENTIDAD
-->
<!--
	**********************************************************************************************
-->
<xsl:if test="./cac:EconomicOperatorParty/cac:Party
				     or ./cac:BusinessSetup
				     or ./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress
				     or ./cac:AdministratingRequestLegalAgent/cac:LegalAgent
				     or ./cac:EconomicOperatorRequestLegalAgent
				     or ./cac:RequestCertifiedBusinessQualification
				     or ./cac:AnnualAccountsReference
				     or ./cac:FinancialTurnoverCapability
				     or ./cac:RequestInsuredAccountability
				     or ./cac:ProfessionalRequestAuthorization
				     or ./cbc:EconomicOperatorCorporatePurpose">
				  <span style="font-weight:bold; ">
				     <xsl:value-of select="$lang.datosEntidad.inscripciones"/> <br/><br/>
				  </span>
			</xsl:if>
				<xsl:if test="./cac:EconomicOperatorParty">
					<table border="0" width="665px">
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								<span style="font-weight:bold; text-decoration:underline;">
									<xsl:choose>
					     	  			<xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
											<xsl:value-of select="$lang.datosEntidad.tituloEmpresario"/>
					     	   			</xsl:when>					     	
					     	  			<xsl:otherwise>
											<xsl:value-of select="$lang.datosEntidad.tituloEntidad"/>
										</xsl:otherwise>
					     	  		</xsl:choose>
								</span>
							</td>
						</tr>
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party">
						<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
								
								<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
									<xsl:value-of select="$lang.datosEntidad.nombreDenom"/>:	
									<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName" />
									,
									<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName" />
								</xsl:if>
								<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
								    <xsl:value-of select="$lang.datosEntidad.nombreDenom"/>:	
									<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" />
								</xsl:if>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
							<tr>
								<td colspan="3"
									style="font:11px Verdana; text-align:left; height:20px;">
									Identificacin:
									<xsl:value-of
										select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID" />
									:
									<xsl:value-of
										select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" />
								</td>
							</tr>
						</xsl:if>
						<xsl:if
							test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
							<xsl:for-each
								select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
								<tr>
									<td colspan="1"
										style="font:11px Verdana; text-align:left; height:20px;">
										<xsl:if test="position() = 1">
											<xsl:value-of select="$lang.datosEntidad.identificacion"/>:
										</xsl:if>
									</td>
									<td colspan="1"
										style="font:11px Verdana; text-align:right; height:20px;">
										<xsl:value-of select="./cbc:ID/@schemeID" />
										:&#160;
						</td>
						<td colspan="1" style="font:11px Verdana; text-align:left; height:20px; width:90%;">
							<xsl:value-of select="./cbc:ID"/>
						</td>
					</tr>
				</xsl:for-each>
				</xsl:if>
				<xsl:if test="(./cac:EconomicOperatorParty/cbc:NationalityID)">
				<tr>
					
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.datosEntidad.nacionalidad"/>:
						<xsl:variable name="nacionalidad" select="./cac:EconomicOperatorParty/cbc:NationalityID"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$nacionalidad"/>
							</xsl:if>
						</xsl:for-each>
					</td>
					
				</tr>
				</xsl:if>

				<xsl:if test="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode">
				<xsl:variable name="formaJuridica" select="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode"/>

					<xsl:if test="not($formaJuridica = '')">
					 <tr>
					 	<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
					 		<xsl:value-of select="$lang.datosEntidad.tipoEntidad"/>:
					 		<xsl:for-each select="document('xml/LegalEntityTypeCode.xml')">
					 			<xsl:variable name="item">
					 				<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
					 			</xsl:variable>
					 			<xsl:if test=" string($item)!='' ">
					 			<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
					 			</xsl:if>
					 			<xsl:if test=" string($item)='' ">
					 			<xsl:value-of select="$formaJuridica"/>
					 			</xsl:if>
					 		</xsl:for-each>
					 	</td>
					 </tr>
					</xsl:if> 
				
				</xsl:if>
				
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CONSTITUCIN EMPRESARIAL                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:BusinessSetup">
			<table border="0" width="665px" >
				<xsl:if test="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID">
				<xsl:if test="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID!='00'">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.titulo"/>:
						<xsl:if test="string(./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode)='FJ1'">
							<xsl:value-of select="$lang.constitucionEmpresarial.registro"/>&#160;
						</xsl:if>								
						<xsl:variable name="registro" select="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID"/>
						<xsl:for-each select="document('xml/OfficialSetupRegistrationEntry.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($registro))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($registro))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$registro"/>
							</xsl:if>
						</xsl:for-each>&#160;&#160;
					</td>
				</tr>
				</xsl:if>
				</xsl:if>
				<xsl:if test="./cac:BusinessSetup/cbc:Date">
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;<xsl:value-of select="./cac:BusinessSetup/cbc:Date"/>
					</td>
				</tr>
				</xsl:if>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
			
		 <!-- ************************* -->
          <!-- CAPITAL SOCIAL-->
          <!-- ************************* -->
			<xsl:if test="./cbc:CorporateStockAmount">
			<table border="0" width="665px" >
			<tr>				
			<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
			
			
			<xsl:value-of select="$lang.capitalsocial.titulo"/>:<xsl:value-of select="format-number(./cbc:CorporateStockAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;									
								<xsl:choose>
										<xsl:when test="./cbc:CorporateStockAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cbc:CorporateStockAmount/@currencyID" />
										</xsl:otherwise>
								</xsl:choose>
			</td>
			</tr>
			</table>
			</xsl:if>	
			 <!-- ************************* -->
            <!-- FIN CAPITAL SOCIAL-->
            <!-- ************************* -->

<!-- ********************************************************************************************** -->
<!-- DOMICILIO SOCIAL                                                                               -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress
				         and ./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.domicilioSocial.titulo"/></span>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>&#160;-
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>&#160;-
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CityName"/>&#160;
						(<xsl:variable name="provincia" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode"/>
						<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$provincia"/>
							</xsl:if>
						</xsl:for-each>)&#160;
						<xsl:variable name="pais" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$pais"/>
							</xsl:if>
						</xsl:for-each>
						<hr width="665px" align="left" style="height:1px; color:black;" />
					</td>
				</tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- ORGANO DE ADMINISTRACIN                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AdministratingRequestLegalAgent/cac:LegalAgent">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.administracion.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:AdministratingRequestLegalAgent">
					
					
					
					
									<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.administrador"/>:
							
					<xsl:if test="not(./cac:LegalAgent/cac:Party/cac:PartyLegalEntity)">
							<xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName"/>,
						   </xsl:if>
						   <xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName"/>
						   </xsl:if>
					</xsl:if>   
				  
					<xsl:if test="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName">
								<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
							</xsl:if>
							(<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID"/>)
						</td>
					</tr>
					
					<xsl:if test="./cac:LegalAgent/cac:Party/cac:PartyLegalEntity">	 	
                      <xsl:if test="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName">
					  <tr>
						  <td colspan="2" style="font:11px Verdana;  padding-left:75px; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.administradores.representantes"/>:</td>
							 
					  </tr>
					  </xsl:if>
					  
					  
					  <xsl:for-each select="./cac:LegalAgent/cac:Party/cac:Person">
					  <tr>
						
						    <td colspan="2" style="font:11px Verdana; padding-left:75px; height:10px;" width="97%">&#62;
						
						
						<xsl:if test="./cbc:FamilyName">
						
								<xsl:value-of select="./cbc:FamilyName"/>,
						 </xsl:if>
						   <xsl:if test="./cbc:FirstName">
								<xsl:value-of select="./cbc:FirstName"/>
						   
						   (<xsl:value-of select="./cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cbc:ID"/>)
						   </xsl:if>
						</td>
					</tr>	   
					 </xsl:for-each>	   
						   
					</xsl:if> 
					
					
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.numeroProtocolo"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.fechaEmision"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>



					<xsl:if test="substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.poderRepresentacion"/>:
								<xsl:variable name="extensionAdmin" select="substring-after(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$extensionAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="not(substring-before(./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode,'#'))">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limiteCuantitativo"/>:
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount = ''">&#160;<xsl:value-of select="$lang.administracion.ilimitado"/></xsl:if>
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount != ''">
							<xsl:value-of select="format-number(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.administracion.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							Validez Hasta:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.validez"/>:&#160;<xsl:value-of select="$lang.administracion.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.administracion.notario"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>
					  <xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
					
					
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]">
						<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
			 <!--BASTANTEOS ADMINISTRADOR-->
			<!--		
			<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
					<xsl:for-each select="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
				
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.organo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
						
				</xsl:for-each>
			 </xsl:if>	
			-->
                <!--FIN BASTANTEOS ADMINISTRADOR-->	
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- APODERADOS                                                                                     -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorRequestLegalAgent">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.apoderado.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:EconomicOperatorRequestLegalAgent">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.apoderado"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:Person/cbc:FirstName"/>
							(<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:Party/cac:PartyIdentification/cbc:ID"/>)
						</td>
					</tr>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.numeroProtocolo"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.fechaEmision"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.extensionPoderes"/>:
							<xsl:variable name="extensionAdmin" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:ExtensionTypeCode"/>
							<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$extensionAdmin"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limiteCuantitativo"/>:
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount = ''">&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/></xsl:if>
							<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount != ''">
							<xsl:value-of select="format-number(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<!-- xsl:if test="not(./cac:LegalAgent/cac:PowerofAttorney/cbc:MaximumAmount)">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							Lmite Cuantitativo:&#160;ILIMITADO
						</td>
					</tr>
					</xsl:if-->
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod != ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:ValidityPeriod = ''">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:&#160;<xsl:value-of select="$lang.apoderado.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.apoderado.notario"/>:
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>
		       <xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
					
				<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]">
						<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
			 <!--BASTANTEOS APODERADO-->
			<!--			
			<xsl:if test="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
					<xsl:for-each select="./cac:LegalAgent/cac:PowerofAttorney/cac:SufficiencyOfPower">
				
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.organo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
						
				</xsl:for-each>
			 </xsl:if>	
			 -->
                <!--FIN BASTANTEOS APODERADO-->	
					
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>			
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CLASIFICACIONES                                                                                -->
<!-- ********************************************************************************************** -->
		<xsl:if test="(./cac:RequestCertifiedBusinessQualification)">	
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.clasificaciones.titulo"/></span>
					</td>
				</tr>
			</table>
		<xsl:for-each select="./cac:RequestCertifiedBusinessQualification">	
			<xsl:if test="(./cac:CertifiedBusinessQualification)">
			<table border="0" width="665px" >
				<!-- tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;">CLASIFICACIONES VIGENTES A LA FECHA DE EMISIN DEL CERTIFICADO</span>
					</td>
				</tr-->
				<xsl:for-each select="./cac:CertifiedBusinessQualification">
				<tr>
					<td width="30%" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;">
						&#62;<xsl:value-of select="$lang.clasificaciones.entidad"/>:
					</td>
					<td colspan="2"  style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:variable name="entidadClasificadora" select="./cac:QualifyingParty/cac:PartyIdentification/cbc:ID"/>
						<xsl:for-each select="document('xml/PartyIdentificationTypeCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$entidadClasificadora"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<xsl:for-each select="./cac:BusinessQualificationItem">
					<tr>
					<xsl:if test="./cbc:TaxonomyLevelCode">
						<td style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;">
							<xsl:variable name="nivelClasificacion" select="./cbc:TaxonomyLevelCode"/>
							<xsl:for-each select="document('xml/TaxonomyLevelCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$nivelClasificacion"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</xsl:if>
					<xsl:if test="./cbc:ActivityCode">
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cbc:ActivityCode"/>
						</td>
					</xsl:if>
					</tr>
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaAlta"/>:&#160;
						</td>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:StartDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaVencimiento"/>:&#160;
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="categoria" select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode"/>
							<xsl:for-each select="document('xml/PropertyCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$categoria"/>
								</xsl:if>
							</xsl:for-each>
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:for-each select="./cac:BusinessQualificationItem">
						<tr>
					<xsl:if test="./cbc:TaxonomyLevelCode">
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="nivelClasificacion" select="./cbc:TaxonomyLevelCode"/>
							<xsl:for-each select="document('xml/TaxonomyLevelCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($nivelClasificacion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$nivelClasificacion"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</xsl:if>
					<xsl:if test="./cbc:ActivityCode">
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cbc:ActivityCode"/>
						</td>
					</xsl:if>
					</tr>
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaAlta"/>:&#160;
						</td>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:StartDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="$lang.clasificaciones.fechaVencimiento"/>:&#160;
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:Period/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:variable name="categoria" select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode"/>
							<xsl:for-each select="document('xml/PropertyCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($categoria))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$categoria"/>
								</xsl:if>
							</xsl:for-each>
						</td>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
						</td>
					</tr>
					</xsl:if>
				</xsl:for-each>
				</xsl:for-each>
				</xsl:for-each>
			</table>
			
			</xsl:if>
		</xsl:for-each>
			<table border="0" width="665px" >
				<tr><td colspan="4"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
		</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CUENTAS                                                                                        -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AnnualAccountsReference">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.cuentas.titulo"/></span>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.cuentasanuales.fechacierre"/>:
                        <xsl:value-of  select="substring(./cac:AnnualAccountsReference/cbc:AcceptanceAccountsDate/.,1,10)"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CIFRAS DE NEGOCIO                                                                              -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:FinancialTurnoverCapability">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.cifras.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:FinancialTurnoverCapability">
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
						<xsl:if test="./cbc:YearDate">
							<td colspan="2" style="font:11px Verdana; text-align:left;" width="80px">
								<xsl:value-of select="substring(./cbc:YearDate,1,4)"/>:
							</td>
						</xsl:if>						
						<xsl:if test="./cac:Period/cbc:StartDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:Period/cbc:EndDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td style="font:11px Verdana; text-align:right;" width="120px">
							<xsl:choose>
								<xsl:when test="./cbc:ValueQuantity" >
									<xsl:value-of select="format-number(./cbc:ValueQuantity, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:value-of select="$EUROS"/>
								</xsl:when>
								<xsl:when test="./cbc:ValueAmount">
									<xsl:value-of select="format-number(./cbc:ValueAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:choose>
										<xsl:when test="./cbc:ValueAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cbc:ValueAmount/@currencyID" />
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
							</xsl:choose>
							
							<!--<xsl:value-of select="number(./cbc:ValueQuantity/@unitCode)"/>-->
						</td>
					</tr>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- POLIZAS DE RESPONSABILIDAD ASEGURADA                                                           -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:RequestInsuredAccountability">
			<table border="0" width="665px" >
			
<!--			comprobamos antes si todas las polizas han sido borradas para que no salga el titulo-->
				<xsl:if test="count(./cac:RequestInsuredAccountability/cbc:OperationCode[text() != 'baja']) > 0">
				
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.polizas.titulo"/></span>
						</td>
					</tr>
				
					<xsl:for-each select="./cac:RequestInsuredAccountability">
					
						<xsl:if test="./cbc:OperationCode != 'baja'">
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.identificador"/>:
									<xsl:value-of select="./cac:InsuredAccountability/cbc:ID"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.importe"/>:
									<xsl:value-of select="format-number(./cac:InsuredAccountability/cbc:InsuredAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cbc:InsuredAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cac:InsuredAccountability/cbc:InsuredAmount/@currencyID" />
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.fechaInicio"/>:
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cac:Period">
											<xsl:value-of select="./cac:InsuredAccountability/cac:Period/cbc:StartDate"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cac:InsuredAccountability/cbc:StartingDate"/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:choose>
										<xsl:when test="./cac:InsuredAccountability/cac:Period">
											<xsl:value-of select="$lang.polizas.fechaVencimiento"/>:
											<xsl:value-of select="./cac:InsuredAccountability/cac:Period/cbc:EndDate"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$lang.polizas.duracion"/>:
											<xsl:value-of select="./cac:InsuredAccountability/cbc:DurationMeasure"/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</tr>
                   <tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.polizas.asegurador"/>:
									<xsl:value-of select="./cac:InsuredAccountability/cac:InsuranceCompanyParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
								</td>
					</tr>
			     
	        	    <xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[1]">
				     <tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:InsuredAccountability/cbc:CoveredRisk[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
					
				<xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[2]">
				   <xsl:if test="./cac:InsuredAccountability/cbc:CoveredRisk[2]!=''">
						<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
							<xsl:value-of select="$lang.contenido.idioma"/>:
							
							  <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:InsuredAccountability/cbc:CoveredRisk[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
					
						</td>	
						</tr>	
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:</td>
							</tr>	
							
							<tr>
							<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;" width="97%">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:InsuredAccountability/cbc:CoveredRisk[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
						</xsl:if>
						</xsl:if>
					</xsl:for-each>
				
					<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
				</xsl:if>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- HABILITACIONES                                                                                 -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:ProfessionalRequestAuthorization">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.habilitaciones.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:ProfessionalRequestAuthorization">
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:Description">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.denominacion"/>:
							<!-- <xsl:value-of select="./cac:ProfessionalAuthorization/cbc:Description"/> -->
							<br/>
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cac:ProfessionalAuthorization/cbc:Description"/>
							</xsl:call-template>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:Specialties">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.especialidades"/>:
							<!-- <xsl:value-of select="./cac:ProfessionalAuthorization/cbc:Specialties"/> -->
							<br/>
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cac:ProfessionalAuthorization/cbc:Specialties"/>
							</xsl:call-template>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.otorgada"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:GrantingDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaOtorgamiento"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cbc:GrantingDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:ExpirationDate">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaVencimiento"/>:
								<xsl:value-of select="./cac:ProfessionalAuthorization/cbc:ExpirationDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ProfessionalAuthorization/cbc:RegulatorySource">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.habilitaciones.norma"/>:
							<xsl:variable name="tipoDisposicion" select="substring-before(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#')"/>
							<xsl:for-each select="document('xml/RegulatorySource.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$tipoDisposicion"/>
								</xsl:if>
							</xsl:for-each>			
							&#160;<xsl:value-of select="substring-before(substring-after(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#'),'#')"/>
							&#160;<xsl:value-of select="substring-after(substring-after(./cac:ProfessionalAuthorization/cbc:RegulatorySource,'#'),'#')"/>
						</td>
					</tr>
					</xsl:if>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- OBJETO SOCIAL                                                                                  -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cbc:EconomicOperatorCorporatePurpose">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.objetoSocial.titulo"/>
					</td>
				</tr>
			    <xsl:if test="./cbc:EconomicOperatorCorporatePurposeDate">
				  <tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;<xsl:value-of select="./cbc:EconomicOperatorCorporatePurposeDate"/>
					</td>
				  </tr>
				</xsl:if>
			 
	
			<tr>
			<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
			<xsl:value-of select="$lang.contenido.idioma"/>	:
			 <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='ES'">
			 <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			  </xsl:if>
			  <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='CA'">
			     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			  </xsl:if>
			   <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='GL'">
			     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			   </xsl:if>
			  
			  
			</td>
			</tr>
			
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
						    <xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[1]"/>
						
						</xsl:call-template>
					</td>
				</tr>
<!-- 				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; border-style:dashed;border-top-style:none;border-color:grey" /></td></tr> -->
				
				<tr><td colspan="3"><hr  style="background-color: #fff;border-top: 1px dashed #8c8b8b;"></hr></td></tr>
				<xsl:if test="./cbc:EconomicOperatorCorporatePurpose[2]">
				
				<tr>
			     <td colspan="3" style="font:11px Verdana; text-align:left; height:20px;text-decoration:underline;">
			     <xsl:value-of select="$lang.contenido.idioma"/>	:
			     
			      
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='ES'">
			       <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='CA'">
			       <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='GL'">
			       <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			      </xsl:if>
			     </td>
			    </tr>
				
				
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
							<xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[2]"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
				</xsl:if>
			
				
			</table>
			</xsl:if>
			
			

<!-- ********************************************************************************************** -->
<!-- PERIODO MEDIO DE PAGO  -->              
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AveragePeriodPaymentSuppliers">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.periodomedio.titulo"/></span>
					</td>
				</tr>
				
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
											
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td style="font:11px Verdana; text-align:right;" width="120px">
							
							<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure">
									<xsl:value-of select="format-number(./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure, '###.###,00;(###.###,00)', 'european')"/>&#160;
									(<xsl:value-of select="$lang.periodomedio.dias"/>)
								</xsl:if>
								
						</td>
					</tr>
				
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>				
			
<!-- ********************************************************************************************** -->
<!-- PGINA WEB CORPORATIVA                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.paginaWeb.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>

<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES TRIBUTARIAS                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:RequestTaxAgencyObligations">
			<table border="0" width="665px" >
					<tr>
						<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
							<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.obligacionesTributarias.titulo"/></span>
						</td>
					</tr>
					<xsl:for-each select="./cac:RequestTaxAgencyObligations">
						<xsl:choose>
							<xsl:when test="./cbc:OperationCode[text() = 'baja']">
						 	 <tr>						
							    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.obligacionesTributarias.solicitudBaja"/>:</td>
					  		 </tr>
						</xsl:when>
						<xsl:otherwise>
						  <tr>						
						    <td colspan="2" style="font:11px Verdana; text-align:left; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.obligacionesTributarias.solicitudInscripcion"/>:</td>
						  </tr>
					    </xsl:otherwise>
				  		</xsl:choose>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.numeroReferencia"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:ReferenceID"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.autoridad"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
								</td>
							</tr>
							<xsl:if test="./cac:TaxAgencyObligations/cbc:TaxEvidenceIndicator">
								<tr>
									<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
									<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
										<xsl:value-of select="$lang.obligacionesTributarias.caracter"/>:
										<xsl:choose>
											<xsl:when test="./cac:TaxAgencyObligations/cbc:TaxEvidenceIndicator[text() = 'true']">
												<xsl:value-of select="$lang.obligacionesTributarias.positivo"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$lang.obligacionesTributarias.negativo"/>
											</xsl:otherwise>	
										</xsl:choose>
									</td>
								</tr>
							</xsl:if>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.fechaExpedicion"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:IssueDate"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.fechaVencimiento"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:ExpirationDate"/>
								</td>
							</tr>
							<tr>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
								<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.csv"/>:
									<xsl:value-of select="./cac:TaxAgencyObligations/cbc:CodeValue"/>
								</td>
							</tr>
					
					</xsl:for-each>
					<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			
			</table>
			</xsl:if>	
			
<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES SEGURIDAD SOCIAL                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:SocialSecurityObligations">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.titulo"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#62;</td>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.numeroReferencia"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ReferenceID"/>
					</td>
				</tr>
				<!-- <tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.autoridad"/>:
						<xsl:value-of select="./cac:TaxAgencyObligations/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
					</td>
				</tr> -->
				<xsl:if test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator">
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
						<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
							<xsl:value-of select="$lang.obligacionesSeguridadSocial.estadoCorriente"/>:
							<xsl:choose>
								<xsl:when test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator[text() = 'true']">
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.positivo"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.negativo"/>
								</xsl:otherwise>	
							</xsl:choose>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaExpedicion"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:IssueDate"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td colspan="2" style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaVencimiento"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ExpirationDate"/>
					</td>
				</tr>
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="3%">&#160;</td>
					<td style="font:11px Verdana; text-align:left; height:20px;" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.huella"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:CodeValue"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>		
<!-- ********************************************************************************************** -->
<!-- DENEGACIONES                                                                                   -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:RejectedRegistrationRequest">
			  <span style="font-weight:bold;">
		        BAJAS
		      </span>
			<table border="0" width="665px">
				<tr><td>&#160;</td></tr>
				
				
			</table>
			<table border="0" width="665px">
				<xsl:for-each select="./cac:RejectedRegistrationRequest">
					<xsl:variable name="info" select="substring-after(./cbc:RejectedConcept,'#')"/>
					<xsl:variable name="base" select="substring-before(./cbc:RejectedConcept,'#')"/>
					<tr>
						<td colspan="2" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
							<xsl:value-of select="$lang.denegaciones.concepto"/>
						</td>
						<td style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
							<xsl:value-of select="$lang.denegaciones.motivo"/>
						</td>
					</tr>
					<tr>
						<td style="font:11px Verdana; text-align:left; height:20px;">							
							<xsl:for-each select="document('xml/cac.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($base))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($base))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$base"/>
								</xsl:if>
								<xsl:value-of select="substring-after(./cbc:RejectedConcept,'#')"/> 
							</xsl:for-each>
						</td>
				
						<td style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:if test="string($base) != 'StateRequestCertifiedBusinessQualificationType' and string($base) != 'ProfessionalStateRequestAuthorization'">
							<xsl:variable name="data">
								<xsl:value-of select="substring-before($info,'@')"/>
							</xsl:variable>
							 <xsl:if test="string($data)!='' ">
								<xsl:value-of select="substring-before($info,'@')"/>
							</xsl:if>
							 <xsl:if test="string($data)='' ">
								<xsl:value-of select="$info"/>								
							</xsl:if>
						</xsl:if>
						
						<!-- ********************** -->
						<!-- HABILITACIONES         -->
						<!-- ********************** -->
							
							<xsl:if test="string($base) = 'ProfessionalStateRequestAuthorization'">	
								<xsl:variable name="datos" select="substring-after(substring-before($info,'@'),'#')"/>
								<xsl:variable name="tipo" select="substring-before($info,'#')"/>						
																
								<xsl:for-each select="document('xml/RegulatorySource.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($tipo))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($tipo))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$tipo"/>
									</xsl:if>
								</xsl:for-each>
								<xsl:value-of select="$datos"/>												
							</xsl:if >		
							
						<!-- ********************** -->
						<!-- CLASIFICACIONES        -->
						<!-- ********************** -->
						
							<xsl:if test="string($base) = 'StateRequestCertifiedBusinessQualificationType'">
								<xsl:variable name="datos" select="substring($info,1,string-length($info)-2)"/>
								<xsl:variable name="tipo" select="substring($info,string-length($info)-2)"/>
								
								<xsl:value-of select="$datos"/>							
								<xsl:for-each select="document('xml/PartyIdentificationTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($tipo))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($tipo))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$tipo"/>
									</xsl:if>
								</xsl:for-each>																			
							</xsl:if >		
							
						</td>
						<td style="font:11px Verdana; text-align:left; height:20px;">
							<!-- <xsl:value-of select="./cbc:RejectionReason"/> -->				
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cbc:RejectionReason"/>
							</xsl:call-template>	
						</td>
					</tr>
				</xsl:for-each>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>
				
		
<!-- ********************************************************************************************** -->
<!-- PIE DE RECURSO                                                                                 -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px">
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" >
						<i><span>
						<xsl:choose>
							<xsl:when test="./rolece:Actions">
						  	 <xsl:value-of select="./rolece:Actions" />
							</xsl:when>
							<xsl:otherwise>
								
							</xsl:otherwise>
						</xsl:choose>
											</span></i>
						
					</td>
				</tr>
				
				<tr>
				<td style="font:11px Verdana; text-align:left; height:20px;" >
				<b><i><span>
					      <xsl:choose>
					        <xsl:when test="./cac:Person">
						  	 	   <xsl:value-of select="./cac:Person/cbc:JobTitle" />
						  	  </xsl:when>
						  	  <xsl:otherwise>
											
									</xsl:otherwise>
								</xsl:choose>
						</span></i></b>
				</td>
				</tr>
				<tr>
				<td style="font:11px Verdana; text-align:left; height:20px;"> 
				<i><span>
				     <xsl:choose>
				         <xsl:when test="./cac:Person">
						  	 	   &#160;&#160;&#160;<xsl:value-of select="./cac:Person/cbc:FirstName" />&#160;<xsl:value-of select="./cac:Person/cbc:FamilyName" />
						  	 </xsl:when>
						  	 <xsl:otherwise>
						        
						     </xsl:otherwise>
						
						</xsl:choose>
					</span></i>
				</td>
						
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</body>
		</html>
	</xsl:template>
	
<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>

		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
