<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0" xmlns:rolece="urn:dgpe:names:draft:rolece:schema:xsd:ApplicationResponse-1"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	<xsl:template match="*[contains(namespace-uri(.),'ApplicationResponse')]">
		<html>
			<body>
				<!--
					**********************************************************************************************
				-->
				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
			  <table border="0" width="665px">
				<xsl:if test="./cac:ItemProperty">
					<tr>
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>
								<xsl:value-of select="$lang.asientoRegistroNumero.titulo"/>:	<xsl:value-of select="./cac:ItemProperty/cbc:Value" />
								</b>
								
							</td>
							
							<td colSpan="1" style="font:9px Verdana; width:50%;">
								<b>&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.asientoRegistroFecha.titulo"/>:   <xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartDate" />
								
								&#160;
								<xsl:value-of select="./cac:ItemProperty/cac:UsabilityPeriod/cbc:StartTime" />
							    </b>
							</td>
					</tr>
					</xsl:if>
				</table>
				
				<table border="0" width="665px">
					<tr>
						<td align="center" valign="top">
							<xsl:choose>
							  <xsl:when test="./cac:SenderParty/cac:PartyLegalEntity/cbc:LogoReferenceID and 
								./cac:SenderParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ''and 
								./cac:SenderParty/cac:PartyLegalEntity/cbc:LogoReferenceID != ' '">
									<img><xsl:attribute name="src">xsl/images/<xsl:value-of select="./cac:SenderParty/cac:PartyLegalEntity/cbc:LogoReferenceID"/></xsl:attribute></img>
								</xsl:when>
							  
						
								<xsl:otherwise>
									<img src="xsl/images/logo-meh01.gif"/>
								</xsl:otherwise>
							</xsl:choose>						
						</td>
						<td width="23%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
						&#160;
					</td>
					<td width ="57%" rowspan="3" align="left" valign="center" style="font:9px Verdana;">
						<xsl:if test="./cac:SenderParty">
						    <xsl:value-of select="./cac:SenderParty/cac:PartyLegalEntity/cbc:RegistrationName"/><br/><br/>
							<xsl:value-of select="./cac:SenderParty/cac:PostalAddress/cbc:StreetName"/><br/>
							<xsl:value-of select="./cac:SenderParty/cac:PostalAddress/cbc:PostalZone"/>&#160;
							<xsl:if test="./cac:SenderParty/cac:PostalAddress/cbc:CountrySubentityCode">
								<xsl:variable name="provincia" select="./cac:SenderParty/cac:PostalAddress/cbc:CountrySubentityCode"/>
								<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' "></xsl:if>
								</xsl:for-each>
							</xsl:if>
						</xsl:if>
						<br/><br/><br/>
					</td>
				</tr>
			</table>
<!-- ********************************************************************************************** -->
<!-- DATOS DEL DOCUMENTO                                                                            -->
<!-- ********************************************************************************************** -->
<!-- ********************************************************************************************** -->
<!-- DATOS DEL DESTINATARIO                                                                         -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:ReceiverParty/cac:PostalAddress">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<br/><br/>
					</td>
				</tr>
				<tr>
					<td width="55%">&#160;</td>					
					<td colspan="2" style="font:10px Verdana; text-align:left; height:20px;">
						<xsl:if test="./cac:ReceiverParty/cac:Person">
						<xsl:value-of select="./cac:ReceiverParty/cac:Person/cbc:FirstName"/>&#160;
						<xsl:value-of select="./cac:ReceiverParty/cac:Person/cbc:FamilyName"/><br/>
						<br/>
						</xsl:if>
						<xsl:if test="./cac:ReceiverParty/cac:PartyLegalEntity">
						<!-- DENOMINACION SOCIAL -->
						<xsl:value-of select="./cac:ReceiverParty/cac:PartyLegalEntity/cbc:RegistrationName"/> (<xsl:value-of select="./cac:ReceiverParty/cac:PartyIdentification/cbc:ID"/>)<br/>
						</xsl:if>
						<xsl:value-of select="./cac:ReceiverParty/cac:PostalAddress/cbc:StreetName"/><br/>
						<xsl:value-of select="./cac:ReceiverParty/cac:PostalAddress/cbc:PostalZone"/>&#160;-
						<xsl:value-of select="./cac:ReceiverParty/cac:PostalAddress/cbc:CityName"/><br/>
						(<xsl:variable name="provincia" select="./cac:ReceiverParty/cac:PostalAddress/cbc:CountrySubentityCode"/>
						<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$provincia"/>
							</xsl:if>
						</xsl:for-each>)&#160;
						<xsl:variable name="pais" select="./cac:ReceiverParty/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$pais"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				<tr>
					<td colspan="3">
						<br/><br/><br/>
					</td>
				</tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- ASUNTO                                                                    -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px" >
				<xsl:if test="./cac:DocumentResponse/cac:Response/cbc:ReferenceID">
					<tr>
						<td style="font:12px Verdana; text-align:left;">
							  <xsl:value-of select="$lang.asunto.expediente"/>: <b><xsl:value-of select="./cac:DocumentResponse/cac:Response/cbc:ReferenceID"/></b>						  
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td style="font:12px Verdana; text-align:left;">
						  <b><xsl:value-of select="./cac:DocumentResponse/cac:Response/cbc:Description"/></b>
					</td>
				</tr>
				<tr>
					<td style="font:12px Verdana; text-align:left;">
						  ID: <b><xsl:value-of select="./cbc:UUID"/></b>
					</td>
				</tr>
			</table><br/><br/>
<!-- ********************************************************************************************** -->
<!-- CUERPO DE LA NOTIFICACION                                                                      -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px" >
			
				<xsl:if test="./cbc:Note">
				<tr>
					<td style="font:12px Verdana; text-align:left;">
						<!-- <xsl:value-of select="./cbc:Note" disable-output-escaping="yes" /> -->
						<xsl:call-template name="break">
							<xsl:with-param name="text" select="./cbc:Note"/>
						</xsl:call-template>											
					</td>
				</tr>
				<!-- ************ FECHA DE LA NOTIFICACIN ********-->
				<tr>
					<td style="font:12px Verdana; text-align:right;">
						<br/><xsl:value-of select="./cbc:IssueDate"/>
					</td>
					
				</tr>
				</xsl:if>
			</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
